Bug 1309405 - AC power plug status not reported on Asus laptop model Q551LN
AC power plug status not reported on Asus laptop model Q551LN
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 12:30 EST by Agustin Barto
Modified: 2017-12-12 06:05 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:05:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Asus Q551LN DSDT table (92.34 KB, application/octet-stream)
2016-03-25 12:17 EDT, Agustin Barto
no flags Details

  None (edit)
Description Agustin Barto 2016-02-17 12:30:03 EST
Description of problem:

The system doesn't detect whether the power plug is connected or not (it says it's always working on battery power)

Version-Release number of selected component (if applicable):


How reproducible:

Consistently

Steps to Reproduce:
1. Connect the AC power plug
2. Disconnect the AC power plug
3.

Actual results:

No changes to the power icon

Expected results:

The power icon properly displays the correct status

Additional info:
Comment 1 Agustin Barto 2016-03-25 12:15:49 EDT
It doesn't seem to be an ACPI problem as the events are reported correctly:

# acpi_listen 
ac_adapter ACPI0003:00 00000080 00000000
 PNP0C14:01 000000ff 00000000
processor LNXCPU:00 00000081 00000000
processor LNXCPU:01 00000081 00000000
processor LNXCPU:02 00000081 00000000
processor LNXCPU:03 00000081 00000000
battery PNP0C0A:00 00000080 00000001
ac_adapter ACPI0003:00 00000080 00000001
 PNP0C14:01 000000ff 00000000
processor LNXCPU:00 00000081 00000000
processor LNXCPU:01 00000081 00000000
processor LNXCPU:02 00000081 00000000
processor LNXCPU:03 00000081 00000000
battery PNP0C0A:00 00000080 00000001

(unplugging and plugging the the power)
Comment 2 Agustin Barto 2016-03-25 12:17 EDT
Created attachment 1140323 [details]
Asus Q551LN DSDT table

I'm attaching the DSDT table for the laptop.
Comment 3 Agustin Barto 2016-03-25 13:19:35 EDT
If I let the battery drain for a bit, the status seems to be reported correctly, so it looks as if the events for AC plug / charging are mixed up. Also, the brightness flickers periodically when the machine is fully charged and plugged, which is consistent with ac plug/charging confusion. I had to disable automatic brightness.
Comment 4 Laura Abbott 2016-09-23 15:45:22 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 5 Stan King 2016-10-07 11:48:19 EDT
I have a different Asus laptop (UX305CA.201).  Most laptops continually report a charging status when the power adapter is connected.  However, with this laptop, it seems as if the battery controller lets the charge level drift down to about 96% before entering charging mode.  Perhaps it's doing this to conserve battery life by reducing the amount of time spent charging.
Comment 6 Laura Abbott 2017-01-16 20:21:03 EST
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.
Comment 7 Agustin Barto 2017-01-17 15:01:38 EST
The bug is still present with 4.9.3-200.fc25.
Comment 8 Justin M. Forbes 2017-04-11 10:51:31 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 9 Agustin Barto 2017-04-15 09:07:30 EDT
The bug is still present in kernel-devel-4.10.6-200.fc25.x86_64. It only shows the AC power plugged if the machine is charging. Once the battery is full, it doesn't show as connected anymore.
Comment 10 Couret Charles-Antoine 2017-04-24 08:00:08 EDT
Same error here with Lenovo E560 laptop.
Adding to this error, the estimation time before the end of power supply from battery is not relevant (30h instead of 5h) because of course, the system still receive energy.

With HP Elitebook I don't have this issue.
Comment 11 Fedora End Of Life 2017-11-16 10:44:33 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2017-12-12 06:05:40 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.